<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('topups', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->default(0);
            $table->integer('deposit_id')->default(0);
            $table->integer('virtual_card_id')->default(0);
            $table->decimal('amount', 28, 8);
            $table->tinyInteger('status')->default(0)->comment('0=pending, 1=approved, 2=declined');
            $table->string('trx')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('topups');
    }
};
